Subject: [alpine-aports] [PATCH] new package nx-libs

From: "Linux User" <jch@alpine-dev>
Date: Mon, 9 Mar 2015 23:06:10 +0100

---
 testing/nx-libs/APKBUILD          | 61 +++++++++++++++++++++++++++++++++++++++
 testing/nx-libs/Makefile.patch    | 11 +++++++
 testing/nx-libs/xf86bigfont.patch | 11 +++++++
 3 files changed, 83 insertions(+)
 create mode 100644 testing/nx-libs/APKBUILD
 create mode 100644 testing/nx-libs/Makefile.patch
 create mode 100644 testing/nx-libs/xf86bigfont.patch

diff --git a/testing/nx-libs/APKBUILD b/testing/nx-libs/APKBUILD
new file mode 100644
index 0000000..2af8a29
--- /dev/null
+++ b/testing/nx-libs/APKBUILD
@@ -0,0 +1,61 @@
+# Contributor: Jean-Charles de Longueville <[email-masked]>
+# Maintainer:
+pkgname=nx-libs
+pkgver=3.5.0.28
+pkgrel=0
+pkgdesc="NoMachine libraries (redistributed by x2go)"
+url="http://x2go.org"
+arch="all"
+license="GPLv2+"
+depends="font-cursor-misc font-misc-misc"
+depends_dev=""
+makedepends="$depends_dev libx11-dev zlib-dev libjpeg-turbo-dev libpng-dev libfontenc-dev linux-headers libxml2-dev bash automake autoconf"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://code.x2go.org/releases/source/$pkgname/$pkgname-$pkgver-full.tar.gz
+        xf86bigfont.patch"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+
+	#Every Makefile has /usr/local as PREFIX, so replace that
+	#other files too...
+        #find ./ -name Makefile | xargs sed -e 's#/usr/local#/usr#g' -i
+        #find ./ -name configure.in | xargs sed -e 's#/usr/local#/usr#g' -i
+	sed -i -e 's,/usr/local,/usr,' nx-X11/config/cf/site.def
+}
+
+build() {
+	cd "$_builddir"
+#	./configure \
+#		--build=$CBUILD \
+#		--host=$CHOST \
+#		--prefix=/usr \
+#		--sysconfdir=/etc \
+#		--mandir=/usr/share/man \
+#		--infodir=/usr/share/info \
+#		--localstatedir=/var \
+#		|| return 1
+	make PREFIX=/usr USRLIBDIR=/usr/lib SHLIBDIR=/usr/lib CONFIGURE="./configure --prefix=/usr --libdir=/usr/lib --includedir=/usr/include" || return 1
+}
+
+package() {
+	cd "$_builddir"
+        #find ./ -name Makefile | xargs sed -e 's#/usr/local#/usr#g' -i
+	make PREFIX=/usr DESTDIR="$pkgdir" USRLIBDIR=/usr/lib SHLIBDIR=/usr/lib install CONFIGURE="./configure --prefix=/usr --libdir=/usr/lib --includedir=/usr/include" || return 1
+	rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="5725a1c7225c7d2aee5d22bfd477329a  nx-libs-3.5.0.28-full.tar.gz
+6030f6b55bcd54be7a5f9c5e796d3759  xf86bigfont.patch"
+sha256sums="c0448884f35280f92db639a91d3f3a35b3b57581949bd3a4b9da0ae685b57429  nx-libs-3.5.0.28-full.tar.gz
+51dc9bad9cc410654bf6c657abdd1bfb2ec5e6e6349ffb701b39cc11e46d2c2e  xf86bigfont.patch"
+sha512sums="1139e1f48f566fc9c5ef105ba5f674e6a3881f75b96fc0e1dbdc9e450b53bcf3a29d2422573b69e240840c2941cee67efc96f2024b24f69068c4abebee42660c  nx-libs-3.5.0.28-full.tar.gz
+ee090f4e7f5933cbea6398ac461539cbdc8b7fd62f32934c78298c1e217d2a60e7f796bffdb88d36816bbfa9becd810846f5b988b5191e5a5b9da5def5d730fa  xf86bigfont.patch"
diff --git a/testing/nx-libs/Makefile.patch b/testing/nx-libs/Makefile.patch
new file mode 100644
index 0000000..35037d4
--- /dev/null
+++ b/testing/nx-libs/Makefile.patch
@@ -0,0 +1,11 @@
+--- nx-libs-3.5.0.28/Makefile
++++ ../Makefile
+@@ -14,7 +14,7 @@
+ BINDIR=$(PREFIX)/bin
+ NXLIBDIR=$(PREFIX)/lib/nx
+ X2GOLIBDIR=$(PREFIX)/lib/x2go
+-CONFIGURE ?= ./configure
++CONFIGURE ?= ./configure --prefix=usr
+ 
+ SHELL:=/bin/bash
+ 
diff --git a/testing/nx-libs/xf86bigfont.patch b/testing/nx-libs/xf86bigfont.patch
new file mode 100644
index 0000000..94578dd
--- /dev/null
+++ b/testing/nx-libs/xf86bigfont.patch
@@ -0,0 +1,11 @@
+--- nx-libs-3.5.0.28/nx-X11/programs/Xserver/Xext/xf86bigfont.c
++++ ../xf86bigfont.c
+@@ -46,7 +46,7 @@
+ /* Linux libc4 and libc5 only (because glibc doesn't include kernel headers):
+    Linux 2.0.x and 2.2.x define SHMLBA as PAGE_SIZE, but forget to define
+    PAGE_SIZE. It is defined in <asm/page.h>. */
+-#include <asm/page.h>
++#include <limits.h>
+ #endif
+ #ifdef SVR4
+ #include <sys/sysmacros.h>
-- 
2.3.2

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---